Get Posting Candidates by Admin
GET /admin/postings/{postingId}/candidates
GET
/admin/postings/{postingId}/candidates
Retrieve a paginated list of posting candidates for a given posting ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” postingId
required
string
Posting ID
Query Parameters
Section titled “Query Parameters ” status
string
Comma-separated list of candidate statuses to filter by (e.g. applied,hired)
name
string
Search by candidate’s name (case-insensitive partial match on first or last name)
page
integer
Page number (default: 1)
pageSize
integer
Page size (default: 10)
sortBy
string
Sort by field
sortOrder
string
Sort order (asc or desc)
Responses
Section titled “ Responses ”Paginated list of posting candidates
object
data
Array<object>
object
appliedAt
string
createdAt
string
createdBy
string
hiringStatus
string
id
string
isShortlisted
boolean
officeStatus
string
onsiteInterviewId
string
postingId
string
professionalEmail
string
professionalId
string
professionalName
string
professionalPhone
string
professionalStatus
string
updatedAt
string
updatedBy
string
page
integer
pageSize
integer
total
integer
Bad request (e.g., missing postingId)
object
error
string
Internal Server Error
object
error
string